{% extends 'base.html' %}
{% block title %}
    ListOfAssociations
{% endblock %}

{% block content %}
    <table class="table">

        <thead>
            <tr>
                <th style=" width: 10%">Tip contor</th>
                <th style=" width: 10%">Index</th>
                <th style=" width: 30%">Apartament</th>
                <th style=" width: 10%">Proprietar</th>
                <th style=" width: 40%">Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for counter in all_counters %}
            {% if counter.apartment.id == pk %}
            <tr>
                <td>{{counter.tip_counter}}</td>
                <td>{{counter.index }}</td>
                <td>{{counter.apartment}}</td>
                <td>{{counter.apartment.owner}}</td>
                <td>
                    <a href="{% url 'edit_counter' counter.id %}" class="btn btn-primary">Edit</a>
                    <a href="{% url 'counter_details' counter.id %}" class="btn btn-primary">Details</a>
                    <a href="{% url 'delete_counter' counter.id %}" class="btn btn-danger">Delete</a>
                </td>
            </tr>
            {% endif %}
        {% endfor %}
        </tbody>
    </table>
    <a href="{% url 'add_counter' %}?id={{ pk }}" class="btn btn-success">Adauga</a>
{% endblock %}